Bug 125467 - e2fsadm missing from lvm2 package
e2fsadm missing from lvm2 package
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-07 14:36 EDT by Joshua Jensen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-07 14:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2004-06-07 14:36:38 EDT
Description of problem:

lvm(1) has e2fsadm, but not lvm2.  This is a badly missing piece of
software!!

Version-Release number of selected component (if applicable):

Fedora Core 2
Comment 1 Alasdair Kergon 2004-06-07 14:44:43 EDT
We are working on providing equivalent functionality to e2fsadm as
options to lvresize, but the code is not finished yet.  

It will be added to Fedora when it is ready.
Comment 2 Alasdair Kergon 2004-06-24 03:18:44 EDT
A development version of fsadm is in LVM2 CVS (see
http://sources.redhat.com/lvm2/ ).  It needs testing, and support
adding for additional filesystems.

The new approach is to add:
  --resizefs
to lvextend/lvreduce/lvresize.  This replaces e2fsadm.
Comment 3 Dax Kelson 2004-06-24 03:37:19 EDT
Will this take advantage of the ext3 online resize patch in the FC2
kernel?

How about resiserfs, jfs, xfs?
Comment 4 Alasdair Kergon 2004-06-24 03:51:25 EDT
It's capable of this, but it needs people to provide the templates for
each filesystem type.  And needs extending to distinguish between
online and offline resizing.

Note You need to log in before you can comment on or make changes to this bug.